<div ng-controller="ProductorParcelaController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a ui-sref="admin.productor.productor">Productor</a>
          </li>
          <li>
            <a>Parcela</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <div class="panel">
            <div class="panel-body">
              <div class="row">
              <div class="col-md-7">
                Productor : <strong>{{productor.fullname | uppercase}}</strong>
              </div>
              <div class="col-md-1">
                <!-- Aréa Total : <strong>{{productor.area_total | number : 2}}</strong> -->
              </div>
              <div class="col-md-4">
                <div class="pull-right">
                  <a class="btn btn-xs btn-primary btn-rounded-10" ui-sref="admin.productor.productor"><i class="fa fa-arrow-left"></i>  Regresar</a>
                </div>
              </div>
            </div>
            </div>
          </div> 
        </div>
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-list"></i> LISTA DE PARCELAS</h1>
            </div>
            <div class="tile-body p-1">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Parcela">
                  </div>
                </div>
                <div class="col-md-2">
                  
                </div>
                <div class="col-md-4">
                  <button class="btn btn-success btn-rounded-10 btn-block btn-border" ng-click="clear();openModalSave($event)"  data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar parcela</button>
                </div>
                <div class="col-md-12">
                  <hr>
                </div>
              </div>

              <div class="row" ng-if="isLoading">
                <div class="col-md-12">
                  <loading></loading>
                </div>
              </div>

              <div class="row" ng-if="!isLoading">
                  <div class="col-md-12">
                    <h5 class="text-right"><strong>CANTIDAD : {{parcelas.length}} PARCELAS</strong></h5>
                  </div>
                  <div class="col-md-12" ng-if="parcelas.length > 0">
                    <small>
                      <div class="table-responsive">
                        <table class="table table-hover table-bordered">
                          <thead>
                            <tr>
                              <th class="text-center">NÚMERO</th>
                              <th class="text-center">ÁREA TOTAL</th>
                              <th class="text-center">ÁREA SEMBRADA</th>
                              <th class="text-center">EMPACADORA</th>
                              <th class="text-center">SECTOR</th>
                              <th class="text-center">CÓDIGO PARCELA</th>
                              <th class="text-center">INSPECTOR</th>
                              <th class="text-center">ESTADO</th>
                              <th class="text-center">OPCIONES</th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr dir-paginate="parcela in parcelas |filter: buscar | itemsPerPage: 10" pagination-id="parcela.id">
                              <td class="text-center">{{parcela.numero_parcela}}</td>
                              <td class="text-center">{{parcela.ha_total}} ha</td>
                              <td class="text-center">{{parcela.ha_sembrada}} ha</td>
                              <td class="text-center">{{parcela.nombre_empacadora | uppercase}}</td>
                              <td class="text-center">{{parcela.nombre_sector | uppercase}}</td>
                              <td class="text-center">{{parcela.codigo_parcela}}</td>
                              <td class="text-center">{{parcela.nombre_inspector | uppercase}}</td>
                              <td class="text-center"><span class="label" style="background-color: {{parcela.color_estado_parcela}}">{{parcela.nombre_estado_parcela | uppercase}}</span></td>
                              <td class="text-center">
                                <div class="input-group-btn">
                                  <button class="btn btn-info btn-border btn-sm btn-radius-left" title="EDITAR PARCELA {{parcela.nombre}}" data-options="splash-2 splash-ef-14" ng-click="load(parcela);openModalSave($event)"><span class="fa fa-edit"></span></button>
                                  <button class="btn btn-danger btn-border btn-sm btn-radius-right" title="ELIMINAR PARCELA {{parcela.nombre}}" data-options="splash-2 splash-ef-14" ng-click="load(parcela);openModalDelete($event)"><span class="fa fa-trash"></span></button>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </small>
                    <div class="text-center">
                      <dir-pagination-controls pagination-id="parcela.id"></dir-pagination-controls>
                    </div>
                  </div>
                  <div class="col-md-12" ng-if="parcelas.length == 0">
                    <p class="text-center">
                      <i class="icon-info fa-4x"></i>
                      <h5 class="text-center uppercase">no hay parcelas registrados...</h5>
                    </p>
                  </div>
              </div>

            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="parcela_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <title-modal name="Parcela"></title-modal>
      </div>            
    </div>
    <div class="modal-body">

      <form ng-submit="createEdit()">

        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label for="codigo_parcela">Código Parcela<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="codigo_parcela" ng-model="obj.codigo_parcela" placeholder="Código Parcela" required> 
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label for="tipo_propiedad">Tipo Propiedad</label>
              <select class="form-control" name="tipo_propiedad" ng-model="obj.tipo_propiedad" ng-options="tp.id as tp.nombre for tp in tiposPropiedad" required>
                <option value="">-- SELECCIONE TIPO--</option>
              </select>
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label for="ha_total">Área Total (ha)<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="ha_total" ng-model="obj.ha_total" placeholder="Ha Sembrada" required>
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label for="ha_sembrada">Área Sembrada (ha)<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="ha_sembrada" ng-model="obj.ha_sembrada" placeholder="Ha Sembrada" required> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label for="id_empacadora">Empacadora <span class="obligatorio">*</span></label>
              <select class="form-control" name="id_empacadora" ng-model="obj.id_empacadora" ng-options="emp.id as emp.nombre for emp in empacadoras" required>
                <option value="">-- SELECCIONE EMPACADORA --</option>
              </select>
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label for="id_sector">Sector <span class="obligatorio">*</span></label>
              <select class="form-control" name="id_sector" ng-model="obj.id_sector" ng-options="sec.id as sec.nombre for sec in sectores" required>
                <option value="">-- SELECCIONE SECTOR --</option>
              </select>
            </div>
          </div>
        </div>        

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="id_inspector">Inspector <span class="obligatorio">*</span></label>
              <select class="form-control uppercase" name="id_inspector" ng-model="obj.id_inspector" ng-options="inspector.id as inspector.nombre for inspector in inspectores" required>
                <option value="">-- SELECCIONE INSPECTOR --</option>
              </select> 
            </div>
          </div>
        </div>
        
        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label for="deshije">¿Tiene Programa de Deshije?</label>
              <select class="form-control" name="deshije" ng-model="obj.deshije" ng-options="estado.id as estado.nombre for estado in estados" required>
                <option value="">-- SLECCIONE ITEM --</option>
              </select>
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group"> 
              <label for="ggn">GGN</label>
              <input type="text" class="form-control" name="ggn" ng-model="obj.ggn" placeholder="GGN" required>  
            </div>
          </div>
        </div>

        <div class="form-group">
          <span class="obligatorio">*</span> Campos Obligatorios
        </div>
        
        <div class="text-center">
          <button-save ng-if="!httpRequest"></button-save>
          <button-spin ng-if="httpRequest"></button-spin>
          <button-cancel></button-cancel>
        </div>
      </form>
    </div>
  </script>
  <script  type="text/ng-template" id="parcela_delete_modal.html">
    <div class="modal-body">

      <form ng-submit="delete()">
        <form-delete></form-delete>
      </form>
    </div>
  </script>
</div>